 <template>
  <nav>
      <div class="nav-wrapper green">
        <div class="container">
          <router-link to="/" class="brand-logo">Employee Manager</router-link>    
          <ul class="right">
            <li v-if="isLogdedIn"><spam class="blck-text email">{{currentUser}}</spam></li>
            <li v-if="isLogdedIn"><router-link to="/">Dashboard</router-link> </li>
             <li v-if="!isLogdedIn"> <router-link to="/login">Login</router-link> </li>
             <li v-if="!isLogdedIn"> <router-link to="/register">Register</router-link> </li>
             <li v-if="isLogdedIn"><button @click="logout" class="btn black">
                 Logout
               </button>
                </li>
           
          </ul>
        </div>
      </div>
    </nav>
  </template>
  <script>
import firebase from "firebase";
export default {
  name: "navbar",
  data() {
    return {
      isLogdedIn: false,
      currentUser: false
    };
  },
  created() {
    if (firebase.auth().currentUser) {
      this.isLogdedIn = true;
      this.currentUser = firebase.auth().currentUser.email;
    }
  },
  methods: {
    logout() {
      firebase
        .auth()
        .signOut()
        .then(() => {
          this.$router.go({ path: this.$router.path });
        });
    }
  }
};
</script>
<style scoped>
.email {
  padding-right: 10px;
}
</style>

  